BizKitHub
DocsAPI ReferenceWeb Push/bff/web-push/subscribe
postWeb PushAdmin BFF

/bff/web-push/subscribe

Store this browser’s push subscription for the signed-in member

Web pushpostBffWeb-pushSubscribe

Parameters

JSON body

Request body

application/json
endpointstringRequired

Push service endpoint URL.

Length: 10–2000
keysobjectRequired
p256dhstringRequired
Length: 10–200
authstringRequired
Length: 4–100

Response schema

1 status code documented

200Success
success"true"Required

Response example

application/json
{
  "success": true
}

Request example

POST /bff/web-push/subscribe

post
curl -X POST "https://api.bizkithub.com/bff/web-push/subscribe" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "endpoint": "example_endpoint",
  "keys": {
    "p256dh": "example_p256dh",
    "auth": "example_auth"
  }
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key